﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BaseApplicationProject
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items1 { get; set; }
        public ObservableCollection<DataItem> Items2 { get; set; }
        public ObservableCollection<DataItem> Items3 { get; set; }

        public MainViewModel()
        {
            Random r = new Random();
            this.Items1 = GetData(r);
            this.Items2 = GetData(r);
            this.Items3 = GetData(r);
            this.Items3.Add(new DataItem { Category = "2013", Value = 10 });

        }

        private static ObservableCollection<DataItem> GetData(Random random)
        {
            return new ObservableCollection<DataItem>
            {
                new DataItem { Category = "2004", Value = random.Next(10, 30) },
                new DataItem { Category = "2005", Value = random.Next(10, 30) },
                new DataItem { Category = "2006", Value = random.Next(10, 30) },
                new DataItem { Category = "2007", Value = random.Next(10, 30) },
                new DataItem { Category = "2008", Value = random.Next(10, 30) },
                new DataItem { Category = "2009", Value = random.Next(10, 30) },
                new DataItem { Category = "2010", Value = random.Next(10, 30) },
                new DataItem { Category = "2011", Value = random.Next(10, 30) },
                new DataItem { Category = "2012", Value = random.Next(10, 30) },
            };
        }

    }

    public class DataItem
    {
        public string Category { get; set; }
        public double Value { get; set; }
    }
}
